/*
create user "BIANMU" identified by "123456789";
grant "DBA","PUBLIC" to "BIANMU";
*/

CREATE TABLE "BIANMU"."SYS_USER_ROLE"
(
 "USER_ROLE_ID" VARCHAR(50) NOT NULL,
 "USER_ID" VARCHAR2(50) NOT NULL,
 "ROLE_ID" VARCHAR2(50) NOT NULL,
 "CREATE_TIME" TIMESTAMP(0) NULL,
 "MODIFY_TIME" TIMESTAMP(0) NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL
);

CREATE TABLE "BIANMU"."SYS_USER_CLIENT"
(
 "USER_CLIENT_ID" VARCHAR(50) NOT NULL,
 "USER_ID" VARCHAR2(50) NOT NULL,
 "CLIENT_ID" VARCHAR2(50) NOT NULL,
 "CREATE_TIME" TIMESTAMP(0) NULL,
 "MODIFY_TIME" TIMESTAMP(0) NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL
);

CREATE TABLE "BIANMU"."SYS_USER"
(
 "USER_ID" VARCHAR(50) NOT NULL,
 "LOGIN_NAME" VARCHAR2(50) NOT NULL,
 "USER_NAME" VARCHAR2(50) NOT NULL,
 "PASSWORD" VARCHAR2(50) NOT NULL,
 "VALID" CHAR(1) DEFAULT 1
 NOT NULL,
 "LIMITED_IP" VARCHAR2(50) NULL,
 "EXPIRED_TIME" TIMESTAMP(6) NULL,
 "LAST_CHANGE_PWD_TIME" TIMESTAMP(6) NULL,
 "LIMIT_MULTI_LOGIN" CHAR(1) DEFAULT 1
 NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
 "ORG_ID" VARCHAR2(50) NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
 "IS_DELETE" CHAR(1) DEFAULT 0
 NULL,
 "ORG_LEADER" BIT NULL
);

CREATE TABLE "BIANMU"."SYS_SHORTCUT_MENU"
(
 "SHORTCUT_MENU_ID" VARCHAR(255) NOT NULL,
 "SHORTCUT_MENU_NAME" VARCHAR2(50) NOT NULL,
 "SHORTCUT_MENU_PATH" VARCHAR2(50) NOT NULL,
 "USER_ID" VARCHAR2(50) NOT NULL,
 "SHORTCUT_MENU_PARENT_ID" VARCHAR2(50) NULL,
 "SORT_WEIGHT" NUMBER(6,0) NULL,
 "CREATE_TIME" TIMESTAMP(0) NOT NULL,
 "MODIFY_TIME" TIMESTAMP(0) NOT NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL
);

CREATE TABLE "BIANMU"."SYS_SETTING"
(
 "ID" VARCHAR(50) NOT NULL,
 "SYS_NAME" VARCHAR2(50) NULL,
 "SYS_LOGO" VARCHAR2(150) NULL,
 "SYS_BOTTOM_TEXT" VARCHAR2(100) NULL,
 "SYS_NOTICE_TEXT" CLOB NULL,
 "CREATE_TIME" TIMESTAMP(0) NULL,
 "MODIFY_TIME" TIMESTAMP(0) NULL,
 "USER_INIT_PASSWORD" VARCHAR2(50) NULL,
 "SYS_COLOR" VARCHAR2(50) NULL,
 "SYS_API_ENCRYPT" CHAR(1) DEFAULT '0'
 NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
 "SYS_ADDRESS" VARCHAR2(150) NULL,
 "SYS_INTERNAL_ADDRESS" VARCHAR2(150) NULL
);

CREATE TABLE "BIANMU"."SYS_ROLE_PERMISSIONS"
(
 "RP_ID" VARCHAR(50) NOT NULL,
 "ROLE_ID" VARCHAR2(50) NULL,
 "PERMIS_ID" VARCHAR2(50) NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
  CLUSTER PRIMARY KEY("RP_ID") ENABLE 
);

CREATE TABLE "BIANMU"."SYS_ROLE_MENU"
(
 "RM_ID" VARCHAR(50) NOT NULL,
 "ROLE_ID" VARCHAR2(50) NULL,
 "MENU_ID" VARCHAR2(50) NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
  CLUSTER PRIMARY KEY("RM_ID") ENABLE 
);

CREATE TABLE "BIANMU"."SYS_ROLE"
(
 "ROLE_ID" VARCHAR(50) NOT NULL,
 "ROLE_NAME" VARCHAR2(50) NOT NULL,
 "ROLE_REMARK" VARCHAR2(200) NULL,
 "CREATE_TIME" TIMESTAMP(0) NULL,
 "MODIFY_TIME" TIMESTAMP(0) NULL,
 "ROLE_CONTENT" VARCHAR2(50) NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL
);

CREATE TABLE "BIANMU"."SYS_PERMIS_ORG"
(
 "PERMIS_ID" VARCHAR2(50) NOT NULL,
 "ORG_ID" VARCHAR2(50) NOT NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
  CLUSTER PRIMARY KEY("PERMIS_ID","ORG_ID") ENABLE 
);

CREATE TABLE "BIANMU"."SYS_PERMIS_DIR"
(
 "PERMIS_ID" VARCHAR2(50) NOT NULL,
 "DIR_ID" VARCHAR2(50) NOT NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
  CLUSTER PRIMARY KEY("PERMIS_ID","DIR_ID") ENABLE 
);

CREATE TABLE "BIANMU"."SYS_PERMISSIONS"
(
 "PERMIS_ID" VARCHAR(50) NOT NULL,
 "PERMIS_NAME" VARCHAR2(50) NOT NULL,
 "PERMIS_REMARK" VARCHAR2(200) NULL,
 "PERMIS_SCOPE" VARCHAR2(50) NOT NULL,
 "HAS_SELECT" CHAR(1) DEFAULT 1
 NULL,
 "HAS_ADD" CHAR(1) DEFAULT 0
 NULL,
 "HAS_EDIT" CHAR(1) DEFAULT 0
 NULL,
 "HAS_DELETE" CHAR(1) DEFAULT 0
 NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
  CLUSTER PRIMARY KEY("PERMIS_ID") ENABLE 
);

CREATE TABLE "BIANMU"."SYS_ORG"
(
 "ID" VARCHAR(50) NOT NULL,
 "ORG_NUMBER" VARCHAR2(50) NULL,
 "ORG_NAME" VARCHAR2(50) NULL,
 "ORG_SHORT_NAME" VARCHAR2(50) NULL,
 "ORG_PARENT_ID" VARCHAR2(50) NULL,
 "ORG_PATH" VARCHAR2(500) NULL,
 "REMARK" VARCHAR2(50) NULL,
 "SORT" NUMBER(6,0) NULL,
 "IS_DELETE" CHAR(1) DEFAULT 0
 NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
 "ORG_PARENT_NAME" VARCHAR2(50) NULL,
 "LEADER_NAME" VARCHAR2(50) NULL,
 "LEADER_USER_ID" VARCHAR2(50) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."SYS_OPERATE_LOG"
(
 "ID" VARCHAR2(50) NOT NULL,
 "LOGIN_NAME" VARCHAR2(50) NULL,
 "IP_ADDR" VARCHAR2(50) NULL,
 "URL" VARCHAR2(100) NULL,
 "OPERATE" VARCHAR2(50) NULL,
 "OPERATE_TIME" TIMESTAMP(6) NULL,
 "PARAMS" VARCHAR2(1000) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."SYS_NOTIFICATION_UNREAD"
(
 "ID" VARCHAR2(50) NOT NULL,
 "USER_ID" VARCHAR2(50) NOT NULL,
 "NOTIFICATION_ID" VARCHAR2(50) NOT NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
 "OPINION" VARCHAR2(500) NULL,
 "CN_NAME" VARCHAR2(200) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."SYS_NOTIFICATION"
(
 "ID" VARCHAR2(50) NOT NULL,
 "FROM_ID" VARCHAR2(50) NOT NULL,
 "RECEIVE_ID" VARCHAR2(2000) NOT NULL,
 "TITLE" VARCHAR2(150) NOT NULL,
 "CONTENT" VARCHAR2(1500) NOT NULL,
 "TYPE" VARCHAR2(50) DEFAULT 'NORMAL'
 NOT NULL,
 "ALL_READ" CHAR(10) NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
 "OPINION" VARCHAR2(500) NULL,
 "CN_NAME" VARCHAR2(200) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."SYS_MENU"
(
 "MENU_ID" VARCHAR(50) NOT NULL,
 "MENU_NAME" VARCHAR2(50) NOT NULL,
 "MENU_PATH" VARCHAR2(50) NOT NULL,
 "MENU_PARENT_ID" VARCHAR2(50) NULL,
 "SORT_WEIGHT" NUMBER(6,0) DEFAULT 0
 NULL,
 "CREATE_TIME" TIMESTAMP(0) NOT NULL,
 "MODIFY_TIME" TIMESTAMP(0) NOT NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
 "IS_DELETE" CHAR(1) DEFAULT '0'
 NULL,
 "SYSTEM" VARCHAR2(50) NULL
);

CREATE TABLE "BIANMU"."SYS_FILE_CHUNK"
(
 "ID" VARCHAR2(50) NOT NULL,
 "CHUNK_NAME" VARCHAR2(500) NULL,
 "CHUNK_PATH" VARCHAR2(500) NULL,
 "CHUNK_MD5" VARCHAR2(150) NULL,
 "CHUNK_INDEX" BIGINT NULL,
 "START_OFFSET" BIGINT NULL,
 "END_OFFSET" BIGINT NULL,
 "CHUNK_SUFFIX" VARCHAR2(50) NULL,
 "CHUNK_TOTAL" BIGINT NULL,
 "FILE_ID" VARCHAR2(50) NULL,
 "FILE_MD5" VARCHAR2(150) NULL,
 "FILE_SIZE" BIGINT NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."SYS_FILE"
(
 "ID" VARCHAR2(50) NOT NULL,
 "ENTITY_ID" VARCHAR2(50) NULL,
 "FILE_NAME" VARCHAR2(500) NOT NULL,
 "FILE_SUFFIX" VARCHAR2(50) NULL,
 "FILE_TYPE" VARCHAR2(50) NULL,
 "FILE_SIZE" NUMBER(12,6) NOT NULL,
 "PATH" VARCHAR2(500) NOT NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
 "ENTRYSTAFF" VARCHAR2(50) NULL,
 "EQUIPMENTMODEL" VARCHAR2(50) NULL,
 "INPUTDATE" TIMESTAMP(6) NULL,
 "SOURCE" VARCHAR2(50) NULL,
 "TASKCODE" VARCHAR2(50) NULL,
 "TROOPCODE" VARCHAR2(50) NULL,
 "TARGETNUMBER" VARCHAR2(50) NULL,
 "MISSILENUMBER" VARCHAR2(50) NULL,
 "TASKNATURE" VARCHAR2(50) NULL,
 "REMARK" VARCHAR2(500) NULL,
 "MD5" VARCHAR2(150) NULL,
 "IS_CHUNK" BIT DEFAULT 0
 NULL,
 "IS_MERGE" BIT DEFAULT 0
 NULL,
 "CURRENT_CHUNK_INDEX" BIGINT NULL,
 "IS_FIRST" BIT NULL,
 "THEME_TASK" VARCHAR2(500) NULL,
 "EXERCISE_DATA" BIT DEFAULT 0
 NULL,
 "SECRET_LEVEL" NUMBER(2,0) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."SYS_DICT_TYPE"
(
 "ID" VARCHAR2(50) NOT NULL,
 "NAME" VARCHAR2(100) NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
 "REMARK" VARCHAR2(255) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."SYS_DICT"
(
 "ID" VARCHAR2(50) NOT NULL,
 "DICT_CODE" VARCHAR2(100) NOT NULL,
 "TYPE_ID" VARCHAR2(50) NOT NULL,
 "DICT_NAME" VARCHAR2(100) NOT NULL,
 "DICT_VALUE" VARCHAR2(500) NULL,
 "DICT_DESC" VARCHAR2(150) NULL,
 "DICT_ORDER" INT NULL,
 "DICT_STATE" BIT DEFAULT 1
 NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."SYS_DESKTOP_SETTING"
(
 "KEY" VARCHAR2(50) NOT NULL,
 "VALUE" VARCHAR2(150) NULL,
  CLUSTER PRIMARY KEY("KEY") ENABLE 
);

CREATE TABLE "BIANMU"."SYS_DESKTOP_APPS"
(
 "ID" VARCHAR2(50) NOT NULL,
 "TITLE" VARCHAR2(100) NULL,
 "URL" VARCHAR2(50) NULL,
 "TARGET" VARCHAR2(10) NULL,
 "ICON" VARCHAR2(100) NULL,
 "SORT" INTEGER NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."PERSISTENT_LOGINS"
(
 "SERIES" VARCHAR2(50) NOT NULL,
 "USERNAME" VARCHAR2(50) NOT NULL,
 "TOKEN" VARCHAR2(50) NOT NULL,
 "LAST_USED" TIMESTAMP(0) DEFAULT CURRENT_TIMESTAMP()
 NOT NULL
);

CREATE TABLE "BIANMU"."OAUTH_CLIENT_DETAILS"
(
 "CLIENT_ID" VARCHAR2(50) NOT NULL,
 "CLIENT_SECRET" VARCHAR2(255) NULL,
 "RESOURCE_IDS" VARCHAR2(255) NULL,
 "SCOPE" VARCHAR2(50) NULL,
 "AUTHORIZED_GRANT_TYPES" VARCHAR2(50) NULL,
 "WEB_SERVER_REDIRECT_URI" VARCHAR2(255) NULL,
 "AUTHORITIES" VARCHAR2(255) NULL,
 "ACCESS_TOKEN_VALIDITY" BIGINT NULL,
 "REFRESH_TOKEN_VALIDITY" BIGINT NULL,
 "ADDITIONAL_INFORMATION" VARCHAR2(255) NULL,
 "AUTOAPPROVE" VARCHAR2(50) NULL,
 "TITLE" VARCHAR2(100) NULL,
 "TARGET" VARCHAR2(10) NULL,
 "ICON" VARCHAR2(100) NULL,
 "SORT" INTEGER NULL,
 "USER_SYNC" CHAR(1) DEFAULT '0'
 NULL,
 "INSERT_URI" VARCHAR2(200) DEFAULT ''
 NULL,
 "UPDATE_URI" VARCHAR2(200) DEFAULT ''
 NULL,
 "DELETE_URI" VARCHAR2(200) DEFAULT ''
 NULL,
 "VERIFY_URI" VARCHAR2(200) DEFAULT ''
 NULL,
 "LOGOUT_URI" VARCHAR2(200) NULL,
  CLUSTER PRIMARY KEY("CLIENT_ID") ENABLE 
);

CREATE TABLE "BIANMU"."MARK_TYPE"
(
 "ID" INTEGER IDENTITY(1,1) NOT NULL,
 "MARK_TYPE" VARCHAR2(150) NULL,
 "MARK_DEFAULT" VARCHAR2(1000) NULL,
 "INSERT_TYPE" VARCHAR2(50) DEFAULT 'ManagerInsert'
 NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."MARK_RECORD"
(
 "ID" VARCHAR2(50) NOT NULL,
 "ENTITY_ID" VARCHAR2(50) NULL,
 "FORM_TYPE" VARCHAR2(50) NULL,
 "MARK_TYPE" VARCHAR2(150) NULL,
 "MARK_VALUE" VARCHAR2(1000) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."MARK_FORM_CONFIG"
(
 "ID" VARCHAR2(50) NOT NULL,
 "FORM_TYPE" VARCHAR2(50) NOT NULL,
 "MARK_TYPE" VARCHAR2(150) NULL,
 "MARK_TYPE_ID" INTEGER NULL,
 "MARK_DEFAULT" VARCHAR2(1000) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."FORM_INFO"
(
 "ID" INTEGER IDENTITY(1,1) NOT NULL,
 "FORM_IDENTITY" VARCHAR2(50) NULL,
 "FORM_NAME" VARCHAR2(150) NULL,
 "FIELD_CONFIG" LONGVARCHAR NULL,
 "QUERY_CONFIG" LONGVARCHAR NULL,
 "IS_DELETE" BIT DEFAULT 0
 NULL,
 "IS_DISABLED" BIT DEFAULT 0
 NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL
);

CREATE TABLE "BIANMU"."B_REVIEW_RECORD"
(
 "ID" VARCHAR2(50) NULL,
 "ENTITY_ID" VARCHAR2(50) NULL,
 "ENTITY_TYPE" VARCHAR2(15) NULL,
 "REVIEW_OPERATE" VARCHAR2(20) NULL,
 "REVIEW_OPINION" VARCHAR2(500) NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
 "ORG_ID" VARCHAR2(50) NULL
);

CREATE TABLE "BIANMU"."B_METADATA_DETAILS"
(
 "ID" VARCHAR(50) NOT NULL,
 "METADATA_ID" VARCHAR(50) NULL,
 "TABLE_NAME" VARCHAR2(100) NULL,
 "MASTER" CHAR(1) DEFAULT 0
 NULL,
 "TABLE_COMMENT" VARCHAR2(250) NULL,
 "TABLE_PRIMARY_COLUMN" VARCHAR2(100) NULL,
 "TABLE_COLUMNS" TEXT NULL,
 "FOREIGN_TABLE" VARCHAR2(100) NULL,
 "FOREIGN_COLUMN" VARCHAR2(100) NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL
);

CREATE TABLE "BIANMU"."B_METADATA_BASIC"
(
 "ID" VARCHAR(50) NOT NULL,
 "DATA_SOURCE_ID" VARCHAR(50) NULL,
 "METADATA_NAME" VARCHAR2(100) NULL,
 "METADATA_COMMENT" VARCHAR2(250) NULL,
 "DATA_FROM" VARCHAR2(50) NULL,
 "DATA_TYPE" VARCHAR2(50) NULL,
 "SECRET_LEVEL" INTEGER DEFAULT 0
 NULL,
 "COLLECTION_TIME" TIMESTAMP(6) NULL,
 "THEME_TASK" VARCHAR2(50) NULL,
 "REVIEW_STATUS" VARCHAR2(20) DEFAULT 'UN_SUBMIT'
 NULL,
 "ORG_ID" VARCHAR2(50) NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."B_FORM_LABEL_CONFIG"
(
 "ID" INTEGER IDENTITY(1000,1) NOT NULL,
 "FIELD_TITLE" VARCHAR2(150) NULL,
 "FIELD_SORT" INTEGER DEFAULT 0
 NULL,
 "LABEL_ID" INTEGER NULL,
 "LABEL_ID_PATH" VARCHAR2(200) NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."B_DRIVERS"
(
 "ID" VARCHAR2(50) NOT NULL,
 "NAME" VARCHAR2(250) NULL,
 "PATH" VARCHAR2(500) NULL,
 "DRIVER_CLASS" VARCHAR2(150) NULL,
 "VERSION" VARCHAR2(50) NULL,
 "MD5" VARCHAR2(150) NULL,
 "CONN_TYPE" VARCHAR2(50) NULL,
 "INNER" BIT DEFAULT 0
 NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
 "CREATE_USER" VARCHAR(50) NULL,
 "MODIFY_USER" VARCHAR(50) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."B_DIRECTORY_TABLE"
(
 "ID" INTEGER IDENTITY(1,1) NOT NULL,
 "DIRECTORY_ID" VARCHAR2(50) NULL,
 "FORM_ID" INTEGER NULL,
 "FORM_NAME" VARCHAR2(50) NULL,
 "FORM_COMMENT" VARCHAR2(150) NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "CREATE_USER_NAME" VARCHAR2(50) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."B_DIRECTORY_METADATA"
(
 "ID" VARCHAR2(50) NOT NULL,
 "DIRECTORY_ID" VARCHAR2(50) NOT NULL,
 "METADATA_ID" VARCHAR2(50) NOT NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."B_DIRECTORY_MEMBERS"
(
 "ID" INTEGER IDENTITY(1,1) NOT NULL,
 "DIRECTORY_ID" VARCHAR2(50) NULL,
 "MEMBER_ID" VARCHAR2(50) NULL,
 "MEMBER_NAME" VARCHAR2(200) NULL,
 "MEMBER_TYPE" VARCHAR2(50) NULL,
 "PERMIS_TYPE" VARCHAR2(50) NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."B_DIRECTORY"
(
 "ID" VARCHAR2(50) NOT NULL,
 "DIRECTORY_NAME" VARCHAR2(250) NOT NULL,
 "PARENT_ID" VARCHAR2(50) NULL,
 "REVIEW_STATUS" VARCHAR2(20) DEFAULT 'UN_SUBMIT'
 NULL,
 "ORG_ID" VARCHAR2(50) NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
 "DIRECTORY_TYPE" VARCHAR2(15) NULL,
 "DIRECTORY_PATH" VARCHAR2(1000) NULL,
 "OWNER" VARCHAR2(50) NULL,
 "OWNER_ID" VARCHAR2(50) NULL,
 "OWNER_TYPE" VARCHAR2(50) NULL,
 "PERMIS_EVERYONE" VARCHAR2(50) DEFAULT ''
 NULL,
 "PERMIS_ALL_PARENT" VARCHAR2(20) DEFAULT ''
 NULL,
 "PERMIS_PARENT" VARCHAR2(20) DEFAULT ''
 NULL,
 "PERMIS_ALL_CHILD" VARCHAR2(20) DEFAULT ''
 NULL,
 "PERMIS_CHILD" VARCHAR2(20) DEFAULT ''
 NULL,
 "RESOURCE_ID" VARCHAR2(50) NULL,
 "IS_BASIC_DIR" BIT DEFAULT 0
 NULL
);

CREATE TABLE "BIANMU"."B_DATA_SOURCE"
(
 "ID" VARCHAR(50) NOT NULL,
 "NAME" VARCHAR2(50) NULL,
 "TYPE" CHAR(1) NULL,
 "DB_TYPE" VARCHAR2(50) NULL,
 "DB_VERSION" VARCHAR2(50) NULL,
 "JDBC_DRIVER_CLASS" VARCHAR2(200) NULL,
 "JDBC_URL" VARCHAR2(200) NULL,
 "JDBC_USER_NAME" VARCHAR2(50) NULL,
 "JDBC_PASSWORD" VARCHAR2(50) NULL,
 "JDBC_SCHEMA" VARCHAR2(50) NULL,
 "HOST" VARCHAR2(50) NULL,
 "PORT" NUMBER(5,0) NULL,
 "REMARK" VARCHAR2(500) NULL,
 "IS_DELETE" CHAR(1) DEFAULT 0
 NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
 "CREATE_USER" VARCHAR(50) NULL,
 "MODIFY_USER" VARCHAR(50) NULL,
 "DRIVER_ID" VARCHAR2(50) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."B_DATA_LABEL_ENTITY"
(
 "ID" VARCHAR2(50) NOT NULL,
 "ENTITY_ID" VARCHAR2(50) NULL,
 "ENTITY_TYPE" VARCHAR(50) NULL,
 "LABEL_ID" INTEGER NULL,
 "FIELD_TITLE" VARCHAR2(100) NULL,
 "LABEL" VARCHAR2(500) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE TABLE "BIANMU"."B_DATA_LABELS"
(
 "ID" INTEGER IDENTITY(1000,1) NOT NULL,
 "PARENT_ID" INTEGER DEFAULT 0
 NULL,
 "TITLE" VARCHAR2(150) NULL,
 "DESCRIPTION" VARCHAR2(500) NULL,
 "ID_PATH" VARCHAR(200) NULL,
 "TITLE_PATH" VARCHAR2(1000) NULL,
 "LEVEL" INTEGER DEFAULT 0
 NULL,
 "IS_LABEL" BIT DEFAULT 0
 NULL,
 "CREATE_USER" VARCHAR2(50) NULL,
 "CREATE_TIME" TIMESTAMP(6) NULL,
 "MODIFY_USER" VARCHAR2(50) NULL,
 "MODIFY_TIME" TIMESTAMP(6) NULL,
  CLUSTER PRIMARY KEY("ID") ENABLE 
);

CREATE VIEW "BIANMU"."V_METADATA_INFO" ("DIRECTORY_ID","DIRECTORY_NAME","PARENT_ID","DIRECTOTY_REVIEW_STATUS","ORG_ID","ID","DATA_SOURCE_ID","METADATA_NAME","METADATA_COMMENT","DATA_FROM","DATA_TYPE","SECRET_LEVEL","COLLECTION_TIME","THEME_TASK","CREATE_USER","CREATE_TIME","MODIFY_USER","MODIFY_TIME")  
as 
select
"BIANMU"."B_DIRECTORY"."ID"    AS DIRECTORY_ID,
"BIANMU"."B_DIRECTORY"."DIRECTORY_NAME"       ,
"BIANMU"."B_DIRECTORY"."PARENT_ID"            ,
"BIANMU"."B_DIRECTORY"."REVIEW_STATUS" AS DIRECTOTY_REVIEW_STATUS,
"BIANMU"."B_DIRECTORY"."ORG_ID"               ,
"BIANMU"."B_METADATA_BASIC"."ID"              ,
"BIANMU"."B_METADATA_BASIC"."DATA_SOURCE_ID"  ,
"BIANMU"."B_METADATA_BASIC"."METADATA_NAME"   ,
"BIANMU"."B_METADATA_BASIC"."METADATA_COMMENT",
"BIANMU"."B_METADATA_BASIC"."DATA_FROM"       ,
"BIANMU"."B_METADATA_BASIC"."DATA_TYPE"       ,
"BIANMU"."B_METADATA_BASIC"."SECRET_LEVEL"    ,
"BIANMU"."B_METADATA_BASIC"."COLLECTION_TIME" ,
"BIANMU"."B_METADATA_BASIC"."THEME_TASK"      ,
"BIANMU"."B_METADATA_BASIC"."CREATE_USER"     ,
"BIANMU"."B_METADATA_BASIC"."CREATE_TIME"     ,
"BIANMU"."B_METADATA_BASIC"."MODIFY_USER"     ,
"BIANMU"."B_METADATA_BASIC"."MODIFY_TIME"
from
"BIANMU"."B_DIRECTORY"         ,
"BIANMU"."B_DIRECTORY_METADATA",
"BIANMU"."B_METADATA_BASIC"
where
"BIANMU"."B_DIRECTORY"."ID"      = "BIANMU"."B_DIRECTORY_METADATA"."DIRECTORY_ID"
and "BIANMU"."B_METADATA_BASIC"."ID" = "BIANMU"."B_DIRECTORY_METADATA"."METADATA_ID"
and "BIANMU"."B_METADATA_BASIC"."ID" is not null;

CREATE VIEW "BIANMU"."V_DB_TABLE_INFO" ("OWNER","TABLE_NAME","TABLESPACE_NAME","TABLE_TYPE","COMMENTS")  
AS
select TAB.OWNER, TAB.TABLE_NAME, TAB.TABLESPACE_NAME, COMM.TABLE_TYPE, COMM.COMMENTS
from DBA_TABLES TAB
left join DBA_TAB_COMMENTS COMM on TAB.TABLE_NAME = COMM.TABLE_NAME and TAB.OWNER = COMM.OWNER
where STATUS = 'VALID';

CREATE VIEW "BIANMU"."V_METADATA_UNION_FILE" ("DIRECTORY_ID","ID","DATA_SOURCE_ID","METADATA_NAME","METADATA_COMMENT","DATA_FROM","DATA_TYPE","SECRET_LEVEL","COLLECTION_TIME","INPUTDATE","THEME_TASK","REVIEW_STATUS","ORG_ID","CREATE_USER","CREATE_TIME","MODIFY_USER","MODIFY_TIME")  
AS
SELECT "DIRECTORY_ID",
"ID",
"DATA_SOURCE_ID",
"METADATA_NAME",
"METADATA_COMMENT",
"DATA_FROM",
"DATA_TYPE",
"SECRET_LEVEL",
"COLLECTION_TIME",
"INPUTDATE",
"THEME_TASK",
"REVIEW_STATUS",
"ORG_ID",
"CREATE_USER",
"CREATE_TIME",
"MODIFY_USER",
"MODIFY_TIME"
FROM (SELECT DM.DIRECTORY_ID, MB."COLLECTION_TIME" AS "INPUTDATE", MB.*
FROM B_METADATA_BASIC AS MB
LEFT JOIN B_DIRECTORY_METADATA AS DM ON DM.METADATA_ID = MB.ID
UNION ALL
SELECT ENTITY_ID              AS "DIRECTORY_ID",
INPUTDATE              AS "INPUTDATE",
ID,
('file_' || ENTITY_ID) AS "DATA_SOURCE_ID",
FILE_NAME              AS "METADATA_NAME",
REMARK                 AS "METADATA_COMMENT",
SOURCE                 AS "DATA_FROM",
''                     AS "DATA_TYPE",
''                     AS "SECRET_LEVEL",
INPUTDATE              AS "COLLECTION_TIME",
''                     AS "THEME_TASK",
''                     AS "REVIEW_STATUS",
''                     AS "ORG_ID",
CREATE_USER,
CREATE_TIME,
MODIFY_USER,
MODIFY_TIME
FROM SYS_FILE)
ORDER BY CREATE_TIME DESC, DATA_SOURCE_ID ASC;

CREATE VIEW "BIANMU"."V_DIRECTORY_RESOURCE" ("ID","RESOURCE_NAME","RESOURCE_COMMENT","RESOURCE_TYPE","THEME_TASK","TASK_TIME","DATA_SOURCE","MODIFY_TIME","MODIFY_USER","DATA_TYPE","SECRET_LEVEL","DIRECTORY_ID","PARENT_ID","DIRECTORY_PATH","REVIEW_STATUS")  
AS
SELECT RES."ID",
RES."RESOURCE_NAME",
RES."RESOURCE_COMMENT",
RES."RESOURCE_TYPE",
RES."THEME_TASK",
RES."TASK_TIME",
RES."DATA_SOURCE",
RES."MODIFY_TIME",
RES."MODIFY_USER",
RES."DATA_TYPE",
RES."SECRET_LEVEL",
DIR.ID             AS "DIRECTORY_ID",
DIR.PARENT_ID      AS "PARENT_ID",
DIR.DIRECTORY_PATH AS "DIRECTORY_PATH",
DIR.REVIEW_STATUS  AS "REVIEW_STATUS"
FROM B_DIRECTORY AS DIR
LEFT JOIN (SELECT "ID"               AS "ID",
"METADATA_NAME"    AS "RESOURCE_NAME",
"METADATA_COMMENT" AS "RESOURCE_COMMENT",
'metadata'         AS "RESOURCE_TYPE",
"THEME_TASK"       AS "THEME_TASK",
"COLLECTION_TIME"  AS "TASK_TIME",
"DATA_FROM"        AS "DATA_SOURCE",
"DATA_TYPE"        AS "DATA_TYPE",
"SECRET_LEVEL"     AS "SECRET_LEVEL",
"MODIFY_TIME"      AS "MODIFY_TIME",
"MODIFY_USER"      AS "MODIFY_USER"
FROM B_METADATA_BASIC
UNION ALL
SELECT "ID"          AS "ID",
"FILE_NAME"   AS "RESOURCE_NAME",
"REMARK"      AS "RESOURCE_COMMENT",
'file'        AS "RESOURCE_TYPE",
"THEME_TASK"  AS "THEME_TASK",
"INPUTDATE"   AS "TASK_TIME",
"SOURCE"      AS "DATA_SOURCE",
''            AS "DATA_TYPE",
''            AS "SECRET_LEVEL",
"MODIFY_TIME" AS "MODIFY_TIME",
"MODIFY_USER" AS "MODIFY_USER"
FROM SYS_FILE) AS RES ON DIR.RESOURCE_ID = RES.ID
WHERE DIR.DIRECTORY_TYPE IN ('METADATA', 'FILE', 'LINK_METADATA', 'LINK_FILE');

ALTER TABLE "BIANMU"."SYS_USER_ROLE" ADD CONSTRAINT  PRIMARY KEY("USER_ROLE_ID") ;

ALTER TABLE "BIANMU"."SYS_USER_CLIENT" ADD CONSTRAINT  PRIMARY KEY("USER_CLIENT_ID") ;

ALTER TABLE "BIANMU"."SYS_USER" ADD CONSTRAINT  PRIMARY KEY("USER_ID") ;

ALTER TABLE "BIANMU"."SYS_SHORTCUT_MENU" ADD CONSTRAINT  PRIMARY KEY("SHORTCUT_MENU_ID") ;

ALTER TABLE "BIANMU"."SYS_SETTING" ADD CONSTRAINT  PRIMARY KEY("ID") ;

ALTER TABLE "BIANMU"."SYS_ROLE" ADD CONSTRAINT  PRIMARY KEY("ROLE_ID") ;

ALTER TABLE "BIANMU"."SYS_ORG" ADD CONSTRAINT "CONS134218785" UNIQUE("ORG_NUMBER") ;

ALTER TABLE "BIANMU"."SYS_MENU" ADD CONSTRAINT  PRIMARY KEY("MENU_ID") ;

ALTER TABLE "BIANMU"."FORM_INFO" ADD CONSTRAINT  PRIMARY KEY("ID") ;

ALTER TABLE "BIANMU"."FORM_INFO" ADD CONSTRAINT "CONS134221024" UNIQUE("FORM_IDENTITY") ;

ALTER TABLE "BIANMU"."B_METADATA_DETAILS" ADD CONSTRAINT  PRIMARY KEY("ID") ;

ALTER TABLE "BIANMU"."B_DIRECTORY" ADD CONSTRAINT  PRIMARY KEY("ID") ;

COMMENT ON TABLE "BIANMU"."SYS_USER_ROLE" IS '系统用户角色关系表';

COMMENT ON COLUMN "BIANMU"."SYS_USER_ROLE"."USER_ROLE_ID" IS '关系主键';

COMMENT ON COLUMN "BIANMU"."SYS_USER_ROLE"."USER_ID" IS '用户ID';

COMMENT ON COLUMN "BIANMU"."SYS_USER_ROLE"."ROLE_ID" IS '角色ID';

COMMENT ON COLUMN "BIANMU"."SYS_USER_ROLE"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."SYS_USER_ROLE"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."SYS_USER_ROLE"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."SYS_USER_ROLE"."MODIFY_USER" IS '修改用户';

COMMENT ON TABLE "BIANMU"."SYS_USER_CLIENT" IS '系统用户与Oauth2客户端关系表';

COMMENT ON COLUMN "BIANMU"."SYS_USER_CLIENT"."USER_CLIENT_ID" IS '关系主键';

COMMENT ON COLUMN "BIANMU"."SYS_USER_CLIENT"."USER_ID" IS '用户ID';

COMMENT ON COLUMN "BIANMU"."SYS_USER_CLIENT"."CLIENT_ID" IS '客户端ID';

COMMENT ON COLUMN "BIANMU"."SYS_USER_CLIENT"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."SYS_USER_CLIENT"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."SYS_USER_CLIENT"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."SYS_USER_CLIENT"."MODIFY_USER" IS '修改用户';

CREATE UNIQUE INDEX "INDEX31481468347887"
ON "BIANMU"."SYS_USER"("USER_ID");

COMMENT ON TABLE "BIANMU"."SYS_USER" IS '系统用户表';

COMMENT ON COLUMN "BIANMU"."SYS_USER"."USER_ID" IS '用户id';

COMMENT ON COLUMN "BIANMU"."SYS_USER"."LOGIN_NAME" IS '登录名';

COMMENT ON COLUMN "BIANMU"."SYS_USER"."USER_NAME" IS '用户名称';

COMMENT ON COLUMN "BIANMU"."SYS_USER"."PASSWORD" IS '登录密码';

COMMENT ON COLUMN "BIANMU"."SYS_USER"."VALID" IS '是否允许登录系统（0：不允许，1：允许）';

COMMENT ON COLUMN "BIANMU"."SYS_USER"."LIMITED_IP" IS '限制允许登录的IP集合';

COMMENT ON COLUMN "BIANMU"."SYS_USER"."EXPIRED_TIME" IS '账号失效时间，超过时间将不能登录系统';

COMMENT ON COLUMN "BIANMU"."SYS_USER"."LAST_CHANGE_PWD_TIME" IS '最近修改密码时间，超出时间间隔，提示用户修改密码';

COMMENT ON COLUMN "BIANMU"."SYS_USER"."LIMIT_MULTI_LOGIN" IS '是否允许账号同一个时刻多人在线，（0：不允许，1：允许）';

COMMENT ON COLUMN "BIANMU"."SYS_USER"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."SYS_USER"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."SYS_USER"."ORG_ID" IS '组织机构ID';

COMMENT ON COLUMN "BIANMU"."SYS_USER"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."SYS_USER"."MODIFY_USER" IS '修改用户';

COMMENT ON COLUMN "BIANMU"."SYS_USER"."IS_DELETE" IS '是否删除（0：未删除，1：已删除）';

COMMENT ON COLUMN "BIANMU"."SYS_USER"."ORG_LEADER" IS '是否是部门主管';

CREATE UNIQUE INDEX "INDEX31130075251892"
ON "BIANMU"."SYS_SHORTCUT_MENU"("SHORTCUT_MENU_ID");

COMMENT ON TABLE "BIANMU"."SYS_SHORTCUT_MENU" IS '用户快捷菜单表';

COMMENT ON COLUMN "BIANMU"."SYS_SHORTCUT_MENU"."SHORTCUT_MENU_ID" IS '用户快捷菜单id';

COMMENT ON COLUMN "BIANMU"."SYS_SHORTCUT_MENU"."SHORTCUT_MENU_NAME" IS '用户快捷菜单名称';

COMMENT ON COLUMN "BIANMU"."SYS_SHORTCUT_MENU"."SHORTCUT_MENU_PATH" IS '用户快捷菜单路径';

COMMENT ON COLUMN "BIANMU"."SYS_SHORTCUT_MENU"."USER_ID" IS '用户id';

COMMENT ON COLUMN "BIANMU"."SYS_SHORTCUT_MENU"."SHORTCUT_MENU_PARENT_ID" IS '上级id';

COMMENT ON COLUMN "BIANMU"."SYS_SHORTCUT_MENU"."SORT_WEIGHT" IS '同级排序权重';

COMMENT ON COLUMN "BIANMU"."SYS_SHORTCUT_MENU"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."SYS_SHORTCUT_MENU"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."SYS_SHORTCUT_MENU"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."SYS_SHORTCUT_MENU"."MODIFY_USER" IS '修改用户';

CREATE UNIQUE INDEX "INDEX31130097574959"
ON "BIANMU"."SYS_SETTING"("ID");

COMMENT ON TABLE "BIANMU"."SYS_SETTING" IS '系统设置表';

COMMENT ON COLUMN "BIANMU"."SYS_SETTING"."ID" IS '表id';

COMMENT ON COLUMN "BIANMU"."SYS_SETTING"."SYS_NAME" IS '系统名称';

COMMENT ON COLUMN "BIANMU"."SYS_SETTING"."SYS_LOGO" IS '系统logo图标';

COMMENT ON COLUMN "BIANMU"."SYS_SETTING"."SYS_BOTTOM_TEXT" IS '系统底部信息';

COMMENT ON COLUMN "BIANMU"."SYS_SETTING"."SYS_NOTICE_TEXT" IS '系统公告';

COMMENT ON COLUMN "BIANMU"."SYS_SETTING"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."SYS_SETTING"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."SYS_SETTING"."USER_INIT_PASSWORD" IS '用户管理：初始、重置密码';

COMMENT ON COLUMN "BIANMU"."SYS_SETTING"."SYS_COLOR" IS '系统颜色';

COMMENT ON COLUMN "BIANMU"."SYS_SETTING"."SYS_API_ENCRYPT" IS 'API是否加密';

COMMENT ON COLUMN "BIANMU"."SYS_SETTING"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."SYS_SETTING"."MODIFY_USER" IS '修改用户';

COMMENT ON COLUMN "BIANMU"."SYS_SETTING"."SYS_ADDRESS" IS '系统访问地址';

COMMENT ON COLUMN "BIANMU"."SYS_SETTING"."SYS_INTERNAL_ADDRESS" IS '内网地址';

COMMENT ON TABLE "BIANMU"."SYS_ROLE_PERMISSIONS" IS '系统角色与权限关系表';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE_PERMISSIONS"."RP_ID" IS '主键';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE_PERMISSIONS"."ROLE_ID" IS '角色ID';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE_PERMISSIONS"."PERMIS_ID" IS '权限ID';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE_PERMISSIONS"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE_PERMISSIONS"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE_PERMISSIONS"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE_PERMISSIONS"."MODIFY_USER" IS '修改用户';

COMMENT ON TABLE "BIANMU"."SYS_ROLE_MENU" IS '系统角色菜单关系表';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE_MENU"."RM_ID" IS '主键';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE_MENU"."ROLE_ID" IS '角色ID';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE_MENU"."MENU_ID" IS '菜单ID';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE_MENU"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE_MENU"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE_MENU"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE_MENU"."MODIFY_USER" IS '修改用户';

COMMENT ON TABLE "BIANMU"."SYS_ROLE" IS '系统角色表';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE"."ROLE_ID" IS '角色ID';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE"."ROLE_NAME" IS '角色名称';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE"."ROLE_REMARK" IS '角色描述';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE"."ROLE_CONTENT" IS '权限内容';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."SYS_ROLE"."MODIFY_USER" IS '修改用户';

COMMENT ON TABLE "BIANMU"."SYS_PERMIS_ORG" IS '系统权限机构配置表';

COMMENT ON COLUMN "BIANMU"."SYS_PERMIS_ORG"."PERMIS_ID" IS '权限ID';

COMMENT ON COLUMN "BIANMU"."SYS_PERMIS_ORG"."ORG_ID" IS '机构ID';

COMMENT ON COLUMN "BIANMU"."SYS_PERMIS_ORG"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."SYS_PERMIS_ORG"."CREATE_USER" IS '创建用户';

COMMENT ON TABLE "BIANMU"."SYS_PERMIS_DIR" IS '系统权限目录配置表';

COMMENT ON COLUMN "BIANMU"."SYS_PERMIS_DIR"."PERMIS_ID" IS '权限ID';

COMMENT ON COLUMN "BIANMU"."SYS_PERMIS_DIR"."DIR_ID" IS '目录ID';

COMMENT ON COLUMN "BIANMU"."SYS_PERMIS_DIR"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."SYS_PERMIS_DIR"."CREATE_USER" IS '创建用户';

COMMENT ON TABLE "BIANMU"."SYS_PERMISSIONS" IS '系统权限表';

COMMENT ON COLUMN "BIANMU"."SYS_PERMISSIONS"."PERMIS_ID" IS '权限ID';

COMMENT ON COLUMN "BIANMU"."SYS_PERMISSIONS"."PERMIS_NAME" IS '权限名称';

COMMENT ON COLUMN "BIANMU"."SYS_PERMISSIONS"."PERMIS_REMARK" IS '权限描述';

COMMENT ON COLUMN "BIANMU"."SYS_PERMISSIONS"."PERMIS_SCOPE" IS '数据权限范围';

COMMENT ON COLUMN "BIANMU"."SYS_PERMISSIONS"."HAS_SELECT" IS '查询权限（0：无权限，1：有权限）';

COMMENT ON COLUMN "BIANMU"."SYS_PERMISSIONS"."HAS_ADD" IS '新增权限（0：无权限，1：有权限）';

COMMENT ON COLUMN "BIANMU"."SYS_PERMISSIONS"."HAS_EDIT" IS '编辑权限（0：无权限，1：有权限）';

COMMENT ON COLUMN "BIANMU"."SYS_PERMISSIONS"."HAS_DELETE" IS '删除权限（0：无权限，1：有权限）';

COMMENT ON COLUMN "BIANMU"."SYS_PERMISSIONS"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."SYS_PERMISSIONS"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."SYS_PERMISSIONS"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."SYS_PERMISSIONS"."MODIFY_USER" IS '修改用户';

COMMENT ON TABLE "BIANMU"."SYS_ORG" IS '组织机构表';

COMMENT ON COLUMN "BIANMU"."SYS_ORG"."ID" IS '主键';

COMMENT ON COLUMN "BIANMU"."SYS_ORG"."ORG_NUMBER" IS '机构编号';

COMMENT ON COLUMN "BIANMU"."SYS_ORG"."ORG_NAME" IS '机构名称';

COMMENT ON COLUMN "BIANMU"."SYS_ORG"."ORG_SHORT_NAME" IS '机构简称';

COMMENT ON COLUMN "BIANMU"."SYS_ORG"."ORG_PARENT_ID" IS '父机构ID';

COMMENT ON COLUMN "BIANMU"."SYS_ORG"."ORG_PATH" IS '机构路径';

COMMENT ON COLUMN "BIANMU"."SYS_ORG"."REMARK" IS '机构描述';

COMMENT ON COLUMN "BIANMU"."SYS_ORG"."SORT" IS '排列顺序';

COMMENT ON COLUMN "BIANMU"."SYS_ORG"."IS_DELETE" IS '是否删除（0：未删除，1：已删除）';

COMMENT ON COLUMN "BIANMU"."SYS_ORG"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."SYS_ORG"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."SYS_ORG"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."SYS_ORG"."MODIFY_USER" IS '修改用户';

COMMENT ON COLUMN "BIANMU"."SYS_ORG"."ORG_PARENT_NAME" IS '父机构名称';

COMMENT ON COLUMN "BIANMU"."SYS_ORG"."LEADER_NAME" IS '机构负责人名称';

COMMENT ON COLUMN "BIANMU"."SYS_ORG"."LEADER_USER_ID" IS '机构负责人用户ID';

COMMENT ON TABLE "BIANMU"."SYS_OPERATE_LOG" IS '系统操作日志记录表';

COMMENT ON COLUMN "BIANMU"."SYS_OPERATE_LOG"."ID" IS '主键';

COMMENT ON COLUMN "BIANMU"."SYS_OPERATE_LOG"."LOGIN_NAME" IS '用户登录名';

COMMENT ON COLUMN "BIANMU"."SYS_OPERATE_LOG"."IP_ADDR" IS 'IP地址';

COMMENT ON COLUMN "BIANMU"."SYS_OPERATE_LOG"."URL" IS '请求路径';

COMMENT ON COLUMN "BIANMU"."SYS_OPERATE_LOG"."OPERATE" IS '操作行为';

COMMENT ON COLUMN "BIANMU"."SYS_OPERATE_LOG"."OPERATE_TIME" IS '操作时间';

COMMENT ON COLUMN "BIANMU"."SYS_OPERATE_LOG"."PARAMS" IS '请求参数';

COMMENT ON TABLE "BIANMU"."SYS_NOTIFICATION_UNREAD" IS '系统通知未读表';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION_UNREAD"."ID" IS '主键';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION_UNREAD"."USER_ID" IS '用户ID';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION_UNREAD"."NOTIFICATION_ID" IS '系统通知ID';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION_UNREAD"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION_UNREAD"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION_UNREAD"."MODIFY_USER" IS '修改用户';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION_UNREAD"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION_UNREAD"."OPINION" IS '审批意见';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION_UNREAD"."CN_NAME" IS '系统名称';

COMMENT ON TABLE "BIANMU"."SYS_NOTIFICATION" IS '系统通知表';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION"."ID" IS '主键ID';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION"."FROM_ID" IS '发送人ID';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION"."RECEIVE_ID" IS '接收人ID，多个接收人ID使用`,`拼接，最多40人';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION"."TITLE" IS '通知标题';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION"."CONTENT" IS '通知内容，纯汉字内容最大不超过500个字符';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION"."TYPE" IS '通知类型，NORMAL:普通通知（默认），METADATA_REVIEW:元数据审核，DIRECTORY_REVIEW:目录审核';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION"."ALL_READ" IS '全部已读';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION"."MODIFY_USER" IS '修改用户';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION"."OPINION" IS '审批意见';

COMMENT ON COLUMN "BIANMU"."SYS_NOTIFICATION"."CN_NAME" IS '系统名称';

CREATE UNIQUE INDEX "INDEX31130120415298"
ON "BIANMU"."SYS_MENU"("MENU_ID");

COMMENT ON TABLE "BIANMU"."SYS_MENU" IS '系统菜单表';

COMMENT ON COLUMN "BIANMU"."SYS_MENU"."MENU_ID" IS '菜单id';

COMMENT ON COLUMN "BIANMU"."SYS_MENU"."MENU_NAME" IS '菜单名称';

COMMENT ON COLUMN "BIANMU"."SYS_MENU"."MENU_PATH" IS '菜单路径';

COMMENT ON COLUMN "BIANMU"."SYS_MENU"."MENU_PARENT_ID" IS '上级id';

COMMENT ON COLUMN "BIANMU"."SYS_MENU"."SORT_WEIGHT" IS '同级排序权重';

COMMENT ON COLUMN "BIANMU"."SYS_MENU"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."SYS_MENU"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."SYS_MENU"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."SYS_MENU"."MODIFY_USER" IS '修改用户';

COMMENT ON COLUMN "BIANMU"."SYS_MENU"."IS_DELETE" IS '逻辑删除，0:未删除，1:已删除';

COMMENT ON COLUMN "BIANMU"."SYS_MENU"."SYSTEM" IS '所属系统，BIANMU:分类编目，BROWSER:综合浏览，CONTROL:数据管控，DESKTOP:应用桌面';

COMMENT ON TABLE "BIANMU"."SYS_FILE_CHUNK" IS '系统文件分片表';

COMMENT ON COLUMN "BIANMU"."SYS_FILE_CHUNK"."ID" IS '分片ID';

COMMENT ON COLUMN "BIANMU"."SYS_FILE_CHUNK"."CHUNK_NAME" IS '分片名称';

COMMENT ON COLUMN "BIANMU"."SYS_FILE_CHUNK"."CHUNK_PATH" IS '分片存储路径';

COMMENT ON COLUMN "BIANMU"."SYS_FILE_CHUNK"."CHUNK_MD5" IS '分片MD5';

COMMENT ON COLUMN "BIANMU"."SYS_FILE_CHUNK"."CHUNK_INDEX" IS '当前分片索引';

COMMENT ON COLUMN "BIANMU"."SYS_FILE_CHUNK"."START_OFFSET" IS '当前分片起始偏移量';

COMMENT ON COLUMN "BIANMU"."SYS_FILE_CHUNK"."END_OFFSET" IS '当前分片结束偏移量';

COMMENT ON COLUMN "BIANMU"."SYS_FILE_CHUNK"."CHUNK_SUFFIX" IS '分片后缀';

COMMENT ON COLUMN "BIANMU"."SYS_FILE_CHUNK"."CHUNK_TOTAL" IS '分片总数';

COMMENT ON COLUMN "BIANMU"."SYS_FILE_CHUNK"."FILE_ID" IS '文件ID';

COMMENT ON COLUMN "BIANMU"."SYS_FILE_CHUNK"."FILE_MD5" IS '文件MD5';

COMMENT ON COLUMN "BIANMU"."SYS_FILE_CHUNK"."FILE_SIZE" IS '文件大小';

COMMENT ON TABLE "BIANMU"."SYS_FILE" IS '系统文件表';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."ID" IS '主键ID';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."ENTITY_ID" IS '实体对象ID';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."FILE_NAME" IS '文件名称';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."FILE_SUFFIX" IS '文件后缀';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."FILE_TYPE" IS '文件类型';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."FILE_SIZE" IS '文件大小（单位：MB）';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."PATH" IS '存储路径';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."MODIFY_USER" IS '修改用户';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."ENTRYSTAFF" IS '录入人员';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."EQUIPMENTMODEL" IS '装备型号';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."INPUTDATE" IS '收文时间';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."SOURCE" IS '文件来源';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."TASKCODE" IS '任务代号';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."TROOPCODE" IS '部队代号';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."TARGETNUMBER" IS '目标编号';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."MISSILENUMBER" IS '导弹编号';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."TASKNATURE" IS '任务性质';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."REMARK" IS '文件描述';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."MD5" IS '文件MD5值';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."IS_CHUNK" IS '是否分片上传';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."IS_MERGE" IS '是否合并';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."CURRENT_CHUNK_INDEX" IS '当前分片索引';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."IS_FIRST" IS '是否第一次上传';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."THEME_TASK" IS '主题任务';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."EXERCISE_DATA" IS '是否演训数据';

COMMENT ON COLUMN "BIANMU"."SYS_FILE"."SECRET_LEVEL" IS '文件密级';

COMMENT ON TABLE "BIANMU"."SYS_DICT_TYPE" IS '系统数据字典类型表';

COMMENT ON COLUMN "BIANMU"."SYS_DICT_TYPE"."ID" IS '主键,类型标识';

COMMENT ON COLUMN "BIANMU"."SYS_DICT_TYPE"."NAME" IS '字典类型名称';

COMMENT ON COLUMN "BIANMU"."SYS_DICT_TYPE"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."SYS_DICT_TYPE"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."SYS_DICT_TYPE"."MODIFY_USER" IS '修改用户';

COMMENT ON COLUMN "BIANMU"."SYS_DICT_TYPE"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."SYS_DICT_TYPE"."REMARK" IS '描述';

COMMENT ON TABLE "BIANMU"."SYS_DICT" IS '系统数据字典表';

COMMENT ON COLUMN "BIANMU"."SYS_DICT"."ID" IS '主键';

COMMENT ON COLUMN "BIANMU"."SYS_DICT"."DICT_CODE" IS '字典编码';

COMMENT ON COLUMN "BIANMU"."SYS_DICT"."TYPE_ID" IS '字典类型ID';

COMMENT ON COLUMN "BIANMU"."SYS_DICT"."DICT_NAME" IS '字典名称';

COMMENT ON COLUMN "BIANMU"."SYS_DICT"."DICT_VALUE" IS '字典值';

COMMENT ON COLUMN "BIANMU"."SYS_DICT"."DICT_DESC" IS '字典描述';

COMMENT ON COLUMN "BIANMU"."SYS_DICT"."DICT_ORDER" IS '排序';

COMMENT ON COLUMN "BIANMU"."SYS_DICT"."DICT_STATE" IS '状态，0：停用，1：启用';

COMMENT ON COLUMN "BIANMU"."SYS_DICT"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."SYS_DICT"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."SYS_DICT"."MODIFY_USER" IS '修改用户';

COMMENT ON COLUMN "BIANMU"."SYS_DICT"."MODIFY_TIME" IS '修改时间';

COMMENT ON TABLE "BIANMU"."SYS_DESKTOP_SETTING" IS '应用桌面设置表';

COMMENT ON TABLE "BIANMU"."SYS_DESKTOP_APPS" IS '应用桌面系统应用信息表';

COMMENT ON COLUMN "BIANMU"."SYS_DESKTOP_APPS"."ID" IS '主键';

COMMENT ON COLUMN "BIANMU"."SYS_DESKTOP_APPS"."TITLE" IS '应用标题';

COMMENT ON COLUMN "BIANMU"."SYS_DESKTOP_APPS"."URL" IS '应用访问地址';

COMMENT ON COLUMN "BIANMU"."SYS_DESKTOP_APPS"."TARGET" IS '应用打开方式';

COMMENT ON COLUMN "BIANMU"."SYS_DESKTOP_APPS"."ICON" IS '应用图标';

COMMENT ON COLUMN "BIANMU"."SYS_DESKTOP_APPS"."SORT" IS '应用排列顺序';

COMMENT ON COLUMN "BIANMU"."SYS_DESKTOP_APPS"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."SYS_DESKTOP_APPS"."MODIFY_TIME" IS '修改时间';

CREATE UNIQUE INDEX "INDEX31130153725535"
ON "BIANMU"."PERSISTENT_LOGINS"("SERIES");

COMMENT ON TABLE "BIANMU"."PERSISTENT_LOGINS" IS 'persistent_logins表，用户实现记住我功能';

COMMENT ON COLUMN "BIANMU"."PERSISTENT_LOGINS"."SERIES" IS 'id';

COMMENT ON COLUMN "BIANMU"."PERSISTENT_LOGINS"."USERNAME" IS '登陆账号';

COMMENT ON COLUMN "BIANMU"."PERSISTENT_LOGINS"."TOKEN" IS 'cookie令牌';

COMMENT ON COLUMN "BIANMU"."PERSISTENT_LOGINS"."LAST_USED" IS '最后更新时间';

COMMENT ON TABLE "BIANMU"."OAUTH_CLIENT_DETAILS" IS 'Oauth2认证服务客户端信息配置表';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."CLIENT_ID" IS '客户端ID';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."CLIENT_SECRET" IS '客户端秘钥';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."RESOURCE_IDS" IS '资源ID';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."SCOPE" IS '范围';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."AUTHORIZED_GRANT_TYPES" IS '授权类型';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."WEB_SERVER_REDIRECT_URI" IS '重定向URI';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."AUTHORITIES" IS '权限';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."ACCESS_TOKEN_VALIDITY" IS '令牌失效时间';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."REFRESH_TOKEN_VALIDITY" IS '令牌刷新时间';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."ADDITIONAL_INFORMATION" IS '条件信息';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."AUTOAPPROVE" IS '自动授权';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."TITLE" IS '应用标题';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."TARGET" IS '应用打开方式';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."ICON" IS '应用图标';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."SORT" IS '应用排列顺序';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."USER_SYNC" IS '是否开启用户数据同步，0:不开启，1:开启';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."INSERT_URI" IS '插入接口URI';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."UPDATE_URI" IS '更新接口URI';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."DELETE_URI" IS '删除接口URI';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."VERIFY_URI" IS '验证URI';

COMMENT ON COLUMN "BIANMU"."OAUTH_CLIENT_DETAILS"."LOGOUT_URI" IS '登出URI';

COMMENT ON TABLE "BIANMU"."MARK_TYPE" IS '置标类型表';

COMMENT ON COLUMN "BIANMU"."MARK_TYPE"."ID" IS '主键，自增';

COMMENT ON COLUMN "BIANMU"."MARK_TYPE"."MARK_TYPE" IS '置标类型';

COMMENT ON COLUMN "BIANMU"."MARK_TYPE"."MARK_DEFAULT" IS '现有标记';

COMMENT ON COLUMN "BIANMU"."MARK_TYPE"."INSERT_TYPE" IS '入库方式';

COMMENT ON COLUMN "BIANMU"."MARK_TYPE"."CREATE_USER" IS '创建者';

COMMENT ON COLUMN "BIANMU"."MARK_TYPE"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."MARK_TYPE"."MODIFY_USER" IS '修改者';

COMMENT ON COLUMN "BIANMU"."MARK_TYPE"."MODIFY_TIME" IS '修改时间';

COMMENT ON TABLE "BIANMU"."MARK_RECORD" IS '置标标记记录表';

COMMENT ON COLUMN "BIANMU"."MARK_RECORD"."ID" IS '主键';

COMMENT ON COLUMN "BIANMU"."MARK_RECORD"."ENTITY_ID" IS '业务实体ID';

COMMENT ON COLUMN "BIANMU"."MARK_RECORD"."FORM_TYPE" IS '表单类型';

COMMENT ON COLUMN "BIANMU"."MARK_RECORD"."MARK_TYPE" IS '置标类型';

COMMENT ON COLUMN "BIANMU"."MARK_RECORD"."MARK_VALUE" IS '置标标记';

COMMENT ON TABLE "BIANMU"."MARK_FORM_CONFIG" IS '业务表单置标配置表';

COMMENT ON COLUMN "BIANMU"."MARK_FORM_CONFIG"."ID" IS '主键';

COMMENT ON COLUMN "BIANMU"."MARK_FORM_CONFIG"."FORM_TYPE" IS '表单类型';

COMMENT ON COLUMN "BIANMU"."MARK_FORM_CONFIG"."MARK_TYPE" IS '置标类型';

COMMENT ON COLUMN "BIANMU"."MARK_FORM_CONFIG"."MARK_TYPE_ID" IS '置标类型ID';

COMMENT ON COLUMN "BIANMU"."MARK_FORM_CONFIG"."MARK_DEFAULT" IS '置标标记默认值';

COMMENT ON TABLE "BIANMU"."FORM_INFO" IS '表单信息表';

COMMENT ON COLUMN "BIANMU"."FORM_INFO"."ID" IS '主键';

COMMENT ON COLUMN "BIANMU"."FORM_INFO"."FORM_IDENTITY" IS '表单唯一标识';

COMMENT ON COLUMN "BIANMU"."FORM_INFO"."FORM_NAME" IS '表单名称';

COMMENT ON COLUMN "BIANMU"."FORM_INFO"."FIELD_CONFIG" IS '表单字段配置';

COMMENT ON COLUMN "BIANMU"."FORM_INFO"."QUERY_CONFIG" IS '查询列表配置';

COMMENT ON COLUMN "BIANMU"."FORM_INFO"."IS_DELETE" IS '是否删除';

COMMENT ON COLUMN "BIANMU"."FORM_INFO"."IS_DISABLED" IS '是否禁用';

COMMENT ON COLUMN "BIANMU"."FORM_INFO"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."FORM_INFO"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."FORM_INFO"."MODIFY_USER" IS '修改用户';

COMMENT ON COLUMN "BIANMU"."FORM_INFO"."MODIFY_TIME" IS '修改时间';

COMMENT ON TABLE "BIANMU"."B_REVIEW_RECORD" IS '审核记录表';

COMMENT ON COLUMN "BIANMU"."B_REVIEW_RECORD"."ID" IS '主键';

COMMENT ON COLUMN "BIANMU"."B_REVIEW_RECORD"."ENTITY_ID" IS '数据实体ID';

COMMENT ON COLUMN "BIANMU"."B_REVIEW_RECORD"."ENTITY_TYPE" IS '数据实体类型（"DIRECTORY"：目录，"METADATA"：元数据）';

COMMENT ON COLUMN "BIANMU"."B_REVIEW_RECORD"."REVIEW_OPERATE" IS '审核操作（"SUBMIT"：提交审核，"REVIEW_PASS"：审核通过， "REVIEW_FAIL"：审核不通过）';

COMMENT ON COLUMN "BIANMU"."B_REVIEW_RECORD"."REVIEW_OPINION" IS '审核意见';

COMMENT ON COLUMN "BIANMU"."B_REVIEW_RECORD"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."B_REVIEW_RECORD"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."B_REVIEW_RECORD"."MODIFY_USER" IS '修改用户';

COMMENT ON COLUMN "BIANMU"."B_REVIEW_RECORD"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."B_REVIEW_RECORD"."ORG_ID" IS '所属机构ID';

COMMENT ON TABLE "BIANMU"."B_METADATA_DETAILS" IS '元数据详情表';

COMMENT ON COLUMN "BIANMU"."B_METADATA_DETAILS"."ID" IS '主键';

COMMENT ON COLUMN "BIANMU"."B_METADATA_DETAILS"."METADATA_ID" IS '元数据ID';

COMMENT ON COLUMN "BIANMU"."B_METADATA_DETAILS"."TABLE_NAME" IS '数据表名称';

COMMENT ON COLUMN "BIANMU"."B_METADATA_DETAILS"."MASTER" IS '是否主表 （1：是，0：否）';

COMMENT ON COLUMN "BIANMU"."B_METADATA_DETAILS"."TABLE_COMMENT" IS '数据表注释';

COMMENT ON COLUMN "BIANMU"."B_METADATA_DETAILS"."TABLE_PRIMARY_COLUMN" IS '数据表主键列';

COMMENT ON COLUMN "BIANMU"."B_METADATA_DETAILS"."TABLE_COLUMNS" IS '数据表字段';

COMMENT ON COLUMN "BIANMU"."B_METADATA_DETAILS"."FOREIGN_TABLE" IS '关联的外表';

COMMENT ON COLUMN "BIANMU"."B_METADATA_DETAILS"."FOREIGN_COLUMN" IS '外表的外键';

COMMENT ON COLUMN "BIANMU"."B_METADATA_DETAILS"."CREATE_USER" IS '创建人';

COMMENT ON COLUMN "BIANMU"."B_METADATA_DETAILS"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."B_METADATA_DETAILS"."MODIFY_USER" IS '修改人';

COMMENT ON COLUMN "BIANMU"."B_METADATA_DETAILS"."MODIFY_TIME" IS '修改时间';

COMMENT ON TABLE "BIANMU"."B_METADATA_BASIC" IS '元数据表';

COMMENT ON COLUMN "BIANMU"."B_METADATA_BASIC"."ID" IS '主键';

COMMENT ON COLUMN "BIANMU"."B_METADATA_BASIC"."DATA_SOURCE_ID" IS '数据源表ID';

COMMENT ON COLUMN "BIANMU"."B_METADATA_BASIC"."METADATA_NAME" IS '元数据名称';

COMMENT ON COLUMN "BIANMU"."B_METADATA_BASIC"."METADATA_COMMENT" IS '元数据表中文注释';

COMMENT ON COLUMN "BIANMU"."B_METADATA_BASIC"."DATA_FROM" IS '数据来源';

COMMENT ON COLUMN "BIANMU"."B_METADATA_BASIC"."DATA_TYPE" IS '数据类型';

COMMENT ON COLUMN "BIANMU"."B_METADATA_BASIC"."SECRET_LEVEL" IS '数据密级(0:公开, 1:内部, 2:秘密, 3:机密, 4绝密)';

COMMENT ON COLUMN "BIANMU"."B_METADATA_BASIC"."COLLECTION_TIME" IS '采集时间';

COMMENT ON COLUMN "BIANMU"."B_METADATA_BASIC"."THEME_TASK" IS '主题任务';

COMMENT ON COLUMN "BIANMU"."B_METADATA_BASIC"."REVIEW_STATUS" IS '数据审核状态（''UN_SUBMIT''：未提交，''SUBMITTED''：已提交，''PASS''：审核通过，''FAIL''：审核未通过）';

COMMENT ON COLUMN "BIANMU"."B_METADATA_BASIC"."ORG_ID" IS '所属机构ID';

COMMENT ON COLUMN "BIANMU"."B_METADATA_BASIC"."CREATE_USER" IS '创建人';

COMMENT ON COLUMN "BIANMU"."B_METADATA_BASIC"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."B_METADATA_BASIC"."MODIFY_USER" IS '修改人';

COMMENT ON COLUMN "BIANMU"."B_METADATA_BASIC"."MODIFY_TIME" IS '修改时间';

COMMENT ON TABLE "BIANMU"."B_FORM_LABEL_CONFIG" IS '数据表单置标标签配置表';

COMMENT ON COLUMN "BIANMU"."B_FORM_LABEL_CONFIG"."ID" IS '主键，自增';

COMMENT ON COLUMN "BIANMU"."B_FORM_LABEL_CONFIG"."FIELD_TITLE" IS '字段显示标题';

COMMENT ON COLUMN "BIANMU"."B_FORM_LABEL_CONFIG"."FIELD_SORT" IS '字段排序';

COMMENT ON COLUMN "BIANMU"."B_FORM_LABEL_CONFIG"."LABEL_ID" IS '置标标签主键';

COMMENT ON COLUMN "BIANMU"."B_FORM_LABEL_CONFIG"."LABEL_ID_PATH" IS '置标标签主键路径';

COMMENT ON COLUMN "BIANMU"."B_FORM_LABEL_CONFIG"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."B_FORM_LABEL_CONFIG"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."B_FORM_LABEL_CONFIG"."MODIFY_USER" IS '修改用户';

COMMENT ON COLUMN "BIANMU"."B_FORM_LABEL_CONFIG"."MODIFY_TIME" IS '修改时间';

COMMENT ON TABLE "BIANMU"."B_DRIVERS" IS '驱动表';

COMMENT ON COLUMN "BIANMU"."B_DRIVERS"."ID" IS '主键';

COMMENT ON COLUMN "BIANMU"."B_DRIVERS"."NAME" IS '驱动名称';

COMMENT ON COLUMN "BIANMU"."B_DRIVERS"."PATH" IS '驱动存储路径';

COMMENT ON COLUMN "BIANMU"."B_DRIVERS"."DRIVER_CLASS" IS '驱动类路径';

COMMENT ON COLUMN "BIANMU"."B_DRIVERS"."VERSION" IS '驱动版本';

COMMENT ON COLUMN "BIANMU"."B_DRIVERS"."MD5" IS '文件的MD5';

COMMENT ON COLUMN "BIANMU"."B_DRIVERS"."CONN_TYPE" IS '连接类型';

COMMENT ON COLUMN "BIANMU"."B_DRIVERS"."INNER" IS '是否内置';

COMMENT ON COLUMN "BIANMU"."B_DRIVERS"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."B_DRIVERS"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."B_DRIVERS"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."B_DRIVERS"."MODIFY_USER" IS '修改用户';

COMMENT ON TABLE "BIANMU"."B_DIRECTORY_TABLE" IS '目录与动态表单关系';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_TABLE"."ID" IS '自增主键';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_TABLE"."DIRECTORY_ID" IS '目录ID';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_TABLE"."FORM_ID" IS '表单主键ID';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_TABLE"."FORM_NAME" IS '表单(数据表)名称';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_TABLE"."FORM_COMMENT" IS '表单显示名称';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_TABLE"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_TABLE"."CREATE_USER" IS '创建用户ID';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_TABLE"."CREATE_USER_NAME" IS '创建用户';

COMMENT ON TABLE "BIANMU"."B_DIRECTORY_METADATA" IS '目录与元数据关系表';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_METADATA"."ID" IS '主键';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_METADATA"."DIRECTORY_ID" IS '目录ID';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_METADATA"."METADATA_ID" IS '元数据ID';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_METADATA"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_METADATA"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_METADATA"."MODIFY_USER" IS '修改用户';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_METADATA"."MODIFY_TIME" IS '修改时间';

COMMENT ON TABLE "BIANMU"."B_DIRECTORY_MEMBERS" IS '目录成员表';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_MEMBERS"."ID" IS '主键，自增';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_MEMBERS"."DIRECTORY_ID" IS '目录ID';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_MEMBERS"."MEMBER_ID" IS '成员名称（用户、部门）';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_MEMBERS"."MEMBER_TYPE" IS '成员类型（USER：用户，ORG：部门）';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_MEMBERS"."PERMIS_TYPE" IS '成员权限类型';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_MEMBERS"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_MEMBERS"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_MEMBERS"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY_MEMBERS"."MODIFY_USER" IS '修改用户';

CREATE INDEX "IDX_B_DIRECTORY_PARENT_ID"
ON "BIANMU"."B_DIRECTORY"("PARENT_ID");

CREATE INDEX "IDX_B_DIRECTORY_REVIEW_STATUS"
ON "BIANMU"."B_DIRECTORY"("REVIEW_STATUS");

CREATE INDEX "IDX_B_DIRECTORY_DIRECTORY_PATH"
ON "BIANMU"."B_DIRECTORY"("DIRECTORY_PATH");

CREATE CLUSTER INDEX "IDX_B_DIRECTORY_DIRECTORY_TYPE"
ON "BIANMU"."B_DIRECTORY"("DIRECTORY_TYPE");

COMMENT ON TABLE "BIANMU"."B_DIRECTORY" IS '目录表';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."ID" IS '主键';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."DIRECTORY_NAME" IS '目录名称';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."PARENT_ID" IS '父目录ID';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."REVIEW_STATUS" IS '数据审核状态（''UN_SUBMIT''：未提交，''SUBMITTED''：已提交，''PASS''：审核通过，''FAIL''：审核未通过）';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."ORG_ID" IS '所属机构ID';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."MODIFY_USER" IS '修改用户';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."DIRECTORY_TYPE" IS '目录类型（''DIRECTORY''：结构目录，''METADATA''：元数据目录）';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."DIRECTORY_PATH" IS '目录路径，由父级目录拼接而成（\***\***\***）';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."OWNER" IS '拥有者';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."OWNER_ID" IS '拥有者ID';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."OWNER_TYPE" IS '拥有者类型（''user''：用户，''org''：部门）';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."PERMIS_EVERYONE" IS '所有人的权限';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."PERMIS_ALL_PARENT" IS '所有上级的权限';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."PERMIS_PARENT" IS '直属上级的权限';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."PERMIS_ALL_CHILD" IS '所有下级的权限';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."PERMIS_CHILD" IS '直属下级的权限';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."RESOURCE_ID" IS '资源ID';

COMMENT ON COLUMN "BIANMU"."B_DIRECTORY"."IS_BASIC_DIR" IS '是否为基础数据目录';

COMMENT ON TABLE "BIANMU"."B_DATA_SOURCE" IS '数据源表';

COMMENT ON COLUMN "BIANMU"."B_DATA_SOURCE"."ID" IS '主键';

COMMENT ON COLUMN "BIANMU"."B_DATA_SOURCE"."NAME" IS '数据源名称';

COMMENT ON COLUMN "BIANMU"."B_DATA_SOURCE"."TYPE" IS '数据源类型(0：关系型数据库，1：非关系型数据库，2：文件存储)';

COMMENT ON COLUMN "BIANMU"."B_DATA_SOURCE"."DB_TYPE" IS '数据库类型(ORACLE、MYSQL、DM、SQLSERVER等)';

COMMENT ON COLUMN "BIANMU"."B_DATA_SOURCE"."DB_VERSION" IS '数据库版本';

COMMENT ON COLUMN "BIANMU"."B_DATA_SOURCE"."JDBC_DRIVER_CLASS" IS 'JDBC数据库驱动';

COMMENT ON COLUMN "BIANMU"."B_DATA_SOURCE"."JDBC_URL" IS 'JDBC数据库连接';

COMMENT ON COLUMN "BIANMU"."B_DATA_SOURCE"."JDBC_USER_NAME" IS 'JDBC数据库用户名';

COMMENT ON COLUMN "BIANMU"."B_DATA_SOURCE"."JDBC_PASSWORD" IS 'JDBC数据库密码';

COMMENT ON COLUMN "BIANMU"."B_DATA_SOURCE"."JDBC_SCHEMA" IS 'JDBC数据库模式';

COMMENT ON COLUMN "BIANMU"."B_DATA_SOURCE"."HOST" IS '主机';

COMMENT ON COLUMN "BIANMU"."B_DATA_SOURCE"."PORT" IS '端口';

COMMENT ON COLUMN "BIANMU"."B_DATA_SOURCE"."REMARK" IS '描述';

COMMENT ON COLUMN "BIANMU"."B_DATA_SOURCE"."IS_DELETE" IS '是否删除（0：存在，1：已删除）';

COMMENT ON COLUMN "BIANMU"."B_DATA_SOURCE"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."B_DATA_SOURCE"."MODIFY_TIME" IS '修改时间';

COMMENT ON COLUMN "BIANMU"."B_DATA_SOURCE"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."B_DATA_SOURCE"."MODIFY_USER" IS '修改用户';

COMMENT ON COLUMN "BIANMU"."B_DATA_SOURCE"."DRIVER_ID" IS '驱动ID';

COMMENT ON TABLE "BIANMU"."B_DATA_LABEL_ENTITY" IS '数据置标标签关联实体表';

COMMENT ON COLUMN "BIANMU"."B_DATA_LABEL_ENTITY"."ID" IS '主键,标签ID+数据实体ID';

COMMENT ON COLUMN "BIANMU"."B_DATA_LABEL_ENTITY"."ENTITY_ID" IS '数据实体ID';

COMMENT ON COLUMN "BIANMU"."B_DATA_LABEL_ENTITY"."ENTITY_TYPE" IS '实体类型';

COMMENT ON COLUMN "BIANMU"."B_DATA_LABEL_ENTITY"."LABEL_ID" IS '标签ID';

COMMENT ON COLUMN "BIANMU"."B_DATA_LABEL_ENTITY"."FIELD_TITLE" IS '字段标题';

COMMENT ON COLUMN "BIANMU"."B_DATA_LABEL_ENTITY"."LABEL" IS '标签数据';

COMMENT ON TABLE "BIANMU"."B_DATA_LABELS" IS '数据置标标签表';

COMMENT ON COLUMN "BIANMU"."B_DATA_LABELS"."ID" IS '主键';

COMMENT ON COLUMN "BIANMU"."B_DATA_LABELS"."PARENT_ID" IS '父级ID';

COMMENT ON COLUMN "BIANMU"."B_DATA_LABELS"."TITLE" IS '标签';

COMMENT ON COLUMN "BIANMU"."B_DATA_LABELS"."DESCRIPTION" IS '描述';

COMMENT ON COLUMN "BIANMU"."B_DATA_LABELS"."ID_PATH" IS '标签主键路径';

COMMENT ON COLUMN "BIANMU"."B_DATA_LABELS"."TITLE_PATH" IS '标签路径';

COMMENT ON COLUMN "BIANMU"."B_DATA_LABELS"."LEVEL" IS '级别';

COMMENT ON COLUMN "BIANMU"."B_DATA_LABELS"."IS_LABEL" IS '是否是标签';

COMMENT ON COLUMN "BIANMU"."B_DATA_LABELS"."CREATE_USER" IS '创建用户';

COMMENT ON COLUMN "BIANMU"."B_DATA_LABELS"."CREATE_TIME" IS '创建时间';

COMMENT ON COLUMN "BIANMU"."B_DATA_LABELS"."MODIFY_USER" IS '修改用户';

COMMENT ON COLUMN "BIANMU"."B_DATA_LABELS"."MODIFY_TIME" IS '修改时间';

