package com.keyware.shandan.beans;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Collections;
import java.util.Set;

/**
 * @author Administrator
 */
@Data
@TableName(value = "OAUTH_CLIENT_DETAILS")
public class ClientDetailVo implements Serializable {
    private static final long serialVersionUID = -25516525921732460L;

    /**
     * 客户端ID
     */
    private String clientId;

    /**
     * 应用名称
     */
    @TableField("TITLE")
    private String title;

    /**
     * 是否开启用户数据同步
     */
    @TableField("USER_SYNC")
    private Boolean userSync;
    /**
     * 插入接口URI
     */
    @TableField("INSERT_URI")
    private String insertUri;
    /**
     * 更新接口URI
     */
    @TableField("UPDATE_URI")
    private String updateUri;
    /**
     * 删除接口URI
     */
    @TableField("DELETE_URI")
    private String deleteUri;
    /**
     * 验证URI
     */
    @TableField("VERIFY_URI")
    private String verifyUri;

    /**
     * 登出URI
     */
    @TableField("LOGOUT_URI")
    private String logoutUri;

    /**
     * 登录成功重定向地址
     */
    @TableField("WEB_SERVER_REDIRECT_URI")
    private Set<String> registeredRedirectUris = Collections.emptySet();


}
