package com.keyware.shandan.mark.pojo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.keyware.shandan.common.util.MD5Util;
import lombok.Data;

import java.io.Serializable;
import java.util.Objects;

/**
 * 置标标记记录
 *
 * @author GuoXin
 * @date 2022-05-13
 */
@Data
@TableName("MARK_RECORD")
public class MarkRecord implements Serializable {
    private static final long serialVersionUID = -1717190145057636442L;
    /**
     * 主键
     */
    @TableId("ID")
    private String id;

    /**
     * 业务实体ID
     */
    @TableField("ENTITY_ID")
    private String entityId;

    /**
     * 业务表单类型
     */
    @TableField("FORM_TYPE")
    private String formType;

    /**
     * 置标类型
     */
    @TableField("MARK_TYPE")
    private String markType;

    /**
     * 置标标记值
     */
    @TableField("MARK_VALUE")
    private String markValue;

    public String md5(){
        return MD5Util.getMD5(entityId+formType+markType);
    }
}
