package com.keyware.shandan.mark.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.keyware.shandan.mark.pojo.MarkRecord;

import java.io.Serializable;
import java.util.Collection;
import java.util.List;

/**
 * 置标标记服务接口
 *
 * @author GuoXin
 * @date 2022-05-13-17:16
 */
public interface MarkRecordService extends IService<MarkRecord> {
    /**
     * 根据实体类ID进行批量删除
     *
     * @param entityIdList 实体类ID集合
     * @return 是否成功
     */
    Boolean removeByEntityIds(Collection<? extends Serializable> entityIdList);

    /**
     * 根据实体类ID进行删除
     * @param entityId 实体类ID
     * @return 是否成功
     */
    Boolean removeByEntityId(Serializable entityId);

    /**
     * 根据实体类ID查询标签记录
     * @param entityId 实体类ID
     * @return 标签记录
     */
    List<MarkRecord> listByEntityId(Serializable entityId);
}
